<?php

/**
 * @file
 * Post update functions for Commerce Avatax.
 */

use Drupal\commerce_tax\Entity\TaxType;

/**
 * Update old config data to tax type config.
 */
function commerce_avatax_post_update_1() {
  // Load old config.
  $config = \Drupal::service('config.factory')->getEditable('commerce_avatax.settings');

  if ($config) {
    TaxType::create([
      'id' => 'avatax',
      'label' => 'Avatax',
      'plugin' => 'avatax',
      'configuration' => [
        'display_inclusive' => FALSE,
        'account_id' => $config->get('account_number'),
        'license_key' => $config->get('license_key'),
        'company_code' => $config->get('company_code'),
        'api_mode' => $config->get('api_mode'),
        'tax_code' => $config->get('tax_code'),
      ],
    ]
    )->save();

    // Delete old config.
    $config->delete();
  }

}
